fcitx4.0源码编译安装成功,正在使用中……

为当前最终发行版之前的所有版本提供支持
回复
头像
aqlinf
帖子: 295
注册时间: 2009-10-09 16:21
送出感谢: 0
接收感谢: 0

fcitx4.0源码编译安装成功,正在使用中……

#1

帖子 aqlinf » 2010-12-16 23:23

源码编译过三次,前两次都失败了,这次居然成功了,真是让人惊喜不已。通常在安装好debian或ubuntu以及编译环境后,编译fcitx时可能还会缺少libxpm-dev与libxtst-dev这两个包,安装上这两个包后按fcitx文档中的安装方法基本可以一路通过了。安装完成后,在/etc/X11/xinit/xinput.d下新建fcitx文件,指明fcitx的执行路径。然后修改default 与default-xim两个文件,就按fcitx中的那种格式添加,我的fcitx文件是这样的:

代码: 全选

XIM=fcitx
XIM_PROGRAM=/usr/bin/fcitx
XIM_ARGS=""
GTK_IM_MODULE=XIM
QT_IM_MODULE=XIM
DEPENDS="fcitx"

基本上都差不多,差别就是program那项。然后在.bashrc文件中添加

代码: 全选

export GTK_IM_MODULE=xim
export XMODIFIERS=”@im=fcitx”
确保英文环境下也能运行。重启机器后,fcitx就自动运行了。4.0界面更好看了,与系统面板更配了。
5593606
帖子: 14
注册时间: 2010-12-16 17:34
送出感谢: 0
接收感谢: 0

Re: fcitx4.0源码编译安装成功,正在使用中……

#2

帖子 5593606 » 2010-12-16 23:54

你所指的安装好编译环境是什么意思?是需要安装编译软件?如需要安装软件,那需要安装什么软件?如何查看装好的系统有无上面说的编译软件?
头像
aqlinf
帖子: 295
注册时间: 2009-10-09 16:21
送出感谢: 0
接收感谢: 0

Re: fcitx4.0源码编译安装成功,正在使用中……

#3

帖子 aqlinf » 2010-12-17 1:55

4.0有bug,我在另一台机器上出现错误,安装3.63版正常。编译环境通常就是指 build-essential,编译软件就是gcc,安装命令通常是

代码: 全选

apt-get install build-essential autoconf automake cvs subversion gdb 
fcitx 通常以源码的方式发布,您需要编译安装后才能使用。编译 fcitx 需要(且不限于)以下包:
gcc
xorg 及其开发包
cairo 及其开发包
gettext 及其开发包
libtool
intltool

不清楚就都安装上好了。
头像
peter_huang
帖子: 391
注册时间: 2006-11-07 14:32
送出感谢: 0
接收感谢: 1 次

Re: fcitx4.0源码编译安装成功,正在使用中……

#4

帖子 peter_huang » 2010-12-17 9:47

还漏了一个重要的东西,就是locale
回复

回到 “老旧版本支持”